Page MenuHomePhabricator

iDEAL cancel returns donor to Thank You page
Open, MediumPublic2 Story Points

Description

Steps to reproduce:

You will be returned to the foundationwiki Thank You page, which is incorrect.

Breadcrumb for future explorers: The exciting work here is to merge the Ingenico result switcher with our generalized GatewayPage::handleResultResponse controller.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : master[WIP] Ingenico uses generic response handling controller
mediawiki/extensions/DonationInterface : master[WIP] Donors using Ingenico should always return to the resultswitcher
mediawiki/extensions/DonationInterface : masterAlso update commented-out bank code
mediawiki/extensions/DonationInterface : masterISSUERID is alphanumeric due to SEPA
mediawiki/vagrant : masterTesting links to exercise secret amounts

Event Timeline

awight created this task.Apr 6 2016, 12:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2016, 12:04 AM
awight claimed this task.Apr 12 2016, 7:44 PM
awight moved this task from Backlog to Doing on the Fundraising Sprint Ghostbusting board.

We're incorrectly passing a returnto param of Thank_You/{lang}, we should be using the Ingenico result switcher instead.

awight set the point value for this task to 2.Apr 12 2016, 9:59 PM

It got fun. The Ingenico result switcher needs to be merged with the generic handleResultResponse controller.

Change 283093 had a related patch set uploaded (by Awight):
[WIP] Donors using Ingenico should always return to the resultswitcher

https://gerrit.wikimedia.org/r/283093

Change 283105 had a related patch set uploaded (by Awight):
[WIP] Ingenico uses generic response handling controller

https://gerrit.wikimedia.org/r/283105

Change 283276 had a related patch set uploaded (by Awight):
ISSUERID is alphanumeric due to SEPA

https://gerrit.wikimedia.org/r/283276

Change 283553 had a related patch set uploaded (by Awight):
Testing links to exercise secret amounts

https://gerrit.wikimedia.org/r/283553

awight updated the task description. (Show Details)Apr 14 2016, 10:35 PM

Change 283553 merged by jenkins-bot:
Testing links to exercise secret amounts

https://gerrit.wikimedia.org/r/283553

Change 283276 merged by jenkins-bot:
ISSUERID is alphanumeric due to SEPA

https://gerrit.wikimedia.org/r/283276

Change 284105 had a related patch set uploaded (by Ejegg):
Also update commented-out bank code

https://gerrit.wikimedia.org/r/284105

Change 284105 merged by jenkins-bot:
Also update commented-out bank code

https://gerrit.wikimedia.org/r/284105

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 1:02 AM
DStrine lowered the priority of this task from High to Medium.Apr 11 2017, 4:28 PM
DStrine added a subscriber: DStrine.

We should recheck if this happens after the new integration.

We do have a few people saying (on the OTRS helpdesk) that they keep receiving banners after donating. They could also be using another device or have strict cookie settings, though.

Reports increasing by the day on OTRS and IRC.

Ejegg added a subscriber: Ejegg.Apr 13 2017, 6:37 PM

@Sjoerddebruin do donors see the Thank You page after a successful/completed donation (i.e., not the cancel button?). Does it depend on which bank you pay with?

Sorry I can't test the full live iDEAL workflow!

@Sjoerddebruin do donors see the Thank You page after a successful/completed donation (i.e., not the cancel button?). Does it depend on which bank you pay with?
Sorry I can't test the full live iDEAL workflow!

I'm not able to claim every OTRS ticket that comes in, the user on IRC also left before I could ask the question. But now I see that I'm responding to the wrong Phabricator task, I remember one that was about the issue I'm talking about but I hate the Phabricator search engine. Sorry!

DStrine removed awight as the assignee of this task.Jun 22 2017, 9:05 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM

Change 283093 abandoned by Awight:
[WIP] Donors using Ingenico should always return to the resultswitcher

https://gerrit.wikimedia.org/r/283093

Change 283105 abandoned by Awight:
[WIP] Ingenico uses generic response handling controller

https://gerrit.wikimedia.org/r/283105